| intr.h | Header File

Header File Index

Routines for creating interrupt handlers

Language Extensions

DEFINE_INT_HANDLER
  Defines an interrupt handler function.

Functions

AUTO_INT
  Gets an address of an interrupt vector.
DisablePRG
  Disables the programmable rate generator.
DUMMY_HANDLER
  A dummy interrupt handler doing nothing.
EnablePRG
  Enables the programmable rate generator.
ExecuteHandler
  Executes an interrupt handler.
GetIntVec
  Gets an interrupt vector.
IsPRGEnabled
  Determines whether the programmable rate generator is enabled.
PRG_getRate
  Returns the speed at which the programmable rate generator is incremented.
PRG_getStart
  Returns the starting value of the programmable rate generator variable.
PRG_getValue
  Returns the current value stored in the programmable rate generator.
PRG_setRate
  Sets the speed at which the programmable rate generator is incremented.
PRG_setStart
  Specifies the starting value of the variable incremented by the programmable rate generator.
SetIntVec
  Sets an interrupt vector.
TRAP
  Gets an address of a trap vector.

Constants

AUTO_INT_COUNT
  Returns the total number of Auto-Int vectors.
FIRST_AUTO_INT
  Returns the index of the first Auto-Int vector.
FIRST_TRAP
  Returns the index of the first Auto-Int vector.
LAST_AUTO_INT
  Returns the index of the last Auto-Int vector.
LAST_TRAP
  Returns the index of the last Auto-Int vector.
TRAP_COUNT
  Returns the total number of Auto-Int vectors.

Predefined Types

Bool
  An enumeration to describe true or false values.
INT_HANDLER
  A pointer to an interrupt handler.
IntVecs
  An enumeration describing interrupt vectors.